require "yaml"

class Info
    def self.new(place)
        self.settings = YAML.load_file(place).inspect
    end

    def self.init
        self.projectName = settings.projectName
        self.vendor = settings.vendor
        self.version = settings.version
        self.fileName = "#{vendor}~#{self.projectName.gsub(/\s+/, settings.space)}[#{version}]"
        self.srcDir = settings.src
        self.buildDir = settings.build
    end
end

class Build
    def self.new
        self.data = new Info(".crystalis/settings.yml")
    end

    def slef.build
        system("crystalis build -no-run")
    end

    def self.run
        system("crystalis run")
    end
end
